=== modified file '.bzrignore'
--- .bzrignore	2011-12-21 23:59:06 +0000
+++ .bzrignore	2011-12-23 20:13:32 +0000
@@ -121,7 +121,7 @@
 drizzled/schema.pb.h
 drizzled/sql_builtin.cc
 drizzled/sql_yacc.cc
-drizzled/sql_yacc.h
+drizzled/sql_yacc.hh
 drizzled/sql_yacc.output
 drizzled/sql_reserved_words.h
 drizzled/symbol_hash.h

=== modified file 'Makefile.am'
--- Makefile.am	2011-11-05 03:32:21 +0000
+++ Makefile.am	2011-12-23 20:13:32 +0000
@@ -210,3 +210,17 @@
 uninstall-hook:
 	rm $(DESTDIR)$(man8dir)/drizzled7.8
 	rm $(DESTDIR)$(sbindir)/drizzled7$(EXEEXT)
+
+rpm-build: support-files/drizzle.spec
+	@rm -f ~/rpmbuild/RPMS/x86_64/drizzle-$(VERSION)*.rpm
+	@rm -f ~/rpmbuild/SRPMS/drizzle-$(VERSION)*.rpm
+	@cp drizzle7-$(VERSION).tar.gz ~/rpmbuild/SOURCES/
+	@cp support-files/drizzled.init ~/rpmbuild/SOURCES/
+	@rpmbuild -ba support-files/drizzle.spec
+	@cp ~/rpmbuild/RPMS/x86_64/drizzle-$(VERSION)*.rpm .
+	@cp ~/rpmbuild/RPMS/x86_64/drizzle-devel-$(VERSION)*.rpm .
+	@cp ~/rpmbuild/RPMS/x86_64/drizzle-debuginfo-$(VERSION)*.rpm .
+	@cp ~/rpmbuild/RPMS/x86_64/drizzle-server-$(VERSION)*.rpm .
+	@cp ~/rpmbuild/SRPMS/drizzle-$(VERSION)*.rpm .
+
+rpm: man distcheck rpm-build

=== modified file 'configure.ac'
--- configure.ac	2011-11-07 22:27:02 +0000
+++ configure.ac	2011-12-23 20:13:32 +0000
@@ -169,10 +169,10 @@
 AC_CONFIG_FILES(Makefile dnl
  tests/Makefile dnl
  drizzled/plugin/version.h dnl
+ support-files/drizzle.spec dnl
  support-files/drizzle7.pc dnl
  support-files/libdrizzle.pc dnl
  support-files/libdrizzle-1.0.pc dnl
- support-files/libdrizzle-2.0.pc dnl
  support-files/smf/install.sh dnl
  support-files/smf/drizzle.xml dnl
  support-files/smf/drizzle)

=== modified file 'drizzled/function_hash.gperf'
--- drizzled/function_hash.gperf	2011-10-14 10:07:18 +0000
+++ drizzled/function_hash.gperf	2011-12-23 20:13:32 +0000
@@ -22,7 +22,7 @@
 /* This file includes all functions */
 
 #include <drizzled/foreign_key.h>
-#include <drizzled/sql_yacc.h>
+#include <drizzled/sql_yacc.hh>
 #include <drizzled/lex_symbol.h>
 
 using namespace drizzled;

=== modified file 'drizzled/include.am'
--- drizzled/include.am	2011-10-20 02:45:57 +0000
+++ drizzled/include.am	2011-12-23 20:13:32 +0000
@@ -25,9 +25,8 @@
 
 drizzled/sql_yacc.cc: drizzled/sql_yacc.yy
 	$(AM_V_YACC)$(am__skipyacc) $(YACC) $(YLFLAGS) $(AM_YFLAGS) -o $@ $<
-	mv drizzled/sql_yacc.hh drizzled/sql_yacc.h
-
-
+
+drizzled/sql_yacc.hh: drizzled/sql_yacc.cc
 
 DTRACEFILES= \
 	     drizzled/cursor.o \
@@ -837,7 +836,7 @@
 			   drizzled/sql_table.cc \
 			   drizzled/sql_union.cc \
 			   drizzled/sql_update.cc \
-			   drizzled/sql_yacc.yy \
+			   drizzled/sql_yacc.cc \
 			   drizzled/statement/alter_schema.cc \
 			   drizzled/statement/alter_table.cc \
 			   drizzled/statement/analyze.cc \
@@ -955,8 +954,8 @@
 endif
 
 BUILT_MAINT_SRC+= \
-		 drizzled/sql_yacc.cc \
-		 drizzled/sql_yacc.h
+		  drizzled/sql_yacc.cc \
+		  drizzled/sql_yacc.hh
 
 BUILT_SOURCES+= \
 		$(BUILT_MAINT_SRC) \
@@ -972,6 +971,7 @@
 	     drizzled/probes.d \
 	     drizzled/sql_non_reserved_words.gperf \
 	     drizzled/sql_reserved_words.gperf \
+	     drizzled/sql_yacc.yy \
 	     drizzled/symbol_hash.gperf
 
 CLEANFILES+= \

=== modified file 'drizzled/sql_lex.h'
--- drizzled/sql_lex.h	2011-11-09 20:20:23 +0000
+++ drizzled/sql_lex.h	2011-12-23 20:13:32 +0000
@@ -49,7 +49,7 @@
 #   include <drizzled/foreign_key.h>
 #   include <drizzled/lex_symbol.h>
 #   include <drizzled/comp_creator.h>
-#   include <drizzled/sql_yacc.h>
+#   include <drizzled/sql_yacc.hh>
 #   define LEX_YYSTYPE YYSTYPE *
 #  else
 #   define LEX_YYSTYPE void *

=== modified file 'drizzled/symbol_hash.gperf'
--- drizzled/symbol_hash.gperf	2011-10-14 15:09:20 +0000
+++ drizzled/symbol_hash.gperf	2011-12-23 20:13:32 +0000
@@ -21,7 +21,7 @@
 
 /* This file includes all reserved words */
 
-#include <drizzled/sql_yacc.h>
+#include <drizzled/sql_yacc.hh>
 #include <drizzled/lex_symbol.h>
 
 using namespace drizzled;

=== modified file 'libdrizzle-2.0/include.am'
--- libdrizzle-2.0/include.am	2011-12-01 00:24:25 +0000
+++ libdrizzle-2.0/include.am	2011-12-23 20:13:32 +0000
@@ -69,10 +69,7 @@
 
 libdrizzle_2_0_libdrizzle_2_0_la_LDFLAGS= \
 					  $(AM_LDFLAGS) \
-					  $(GCOV_LIBS) \
-					  -version-info \
-					  $(LIBDRIZZLE_LIBRARY_VERSION)
-
+					  $(GCOV_LIBS)
 libdrizzle_2_0_libdrizzle_2_0_la_SOURCES= \
 					  libdrizzle-2.0/column.cc \
 					  libdrizzle-2.0/command.cc \

=== modified file 'plugin/memory/plugin.am'
--- plugin/memory/plugin.am	2010-10-02 21:15:42 +0000
+++ plugin/memory/plugin.am	2011-12-23 20:13:32 +0000
@@ -14,37 +14,35 @@
 # along with this program; if not, write to the Free Software
 # Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 
-if BUILD_MEMORY_PLUGIN
-noinst_LTLIBRARIES+=	plugin/memory/libheap.la
-endif
+noinst_LTLIBRARIES+= plugin/memory/libheap.la
 noinst_HEADERS+= \
-			plugin/memory/ha_heap.h \
-			plugin/memory/heap.h \
-			plugin/memory/heap_priv.h
+		 plugin/memory/ha_heap.h \
+		 plugin/memory/heap.h \
+		 plugin/memory/heap_priv.h
 plugin_memory_libheap_la_SOURCES= \
-			plugin/memory/hp_block.cc \
-			plugin/memory/hp_clear.cc \
-			plugin/memory/hp_close.cc \
-			plugin/memory/hp_create.cc \
-			plugin/memory/hp_delete.cc \
-			plugin/memory/hp_dspace.cc \
-			plugin/memory/hp_extra.cc \
-			plugin/memory/hp_hash.cc \
-			plugin/memory/hp_info.cc \
-			plugin/memory/hp_open.cc \
-			plugin/memory/hp_panic.cc \
-			plugin/memory/hp_record.cc \
-			plugin/memory/hp_rectest.cc \
-			plugin/memory/hp_rename.cc \
-			plugin/memory/hp_rfirst.cc \
-			plugin/memory/hp_rkey.cc \
-			plugin/memory/hp_rlast.cc \
-			plugin/memory/hp_rnext.cc \
-			plugin/memory/hp_rprev.cc \
-			plugin/memory/hp_rrnd.cc \
-			plugin/memory/hp_rsame.cc \
-			plugin/memory/hp_scan.cc \
-			plugin/memory/hp_static.cc \
-			plugin/memory/hp_update.cc \
-			plugin/memory/hp_write.cc
+				  plugin/memory/hp_block.cc \
+				  plugin/memory/hp_clear.cc \
+				  plugin/memory/hp_close.cc \
+				  plugin/memory/hp_create.cc \
+				  plugin/memory/hp_delete.cc \
+				  plugin/memory/hp_dspace.cc \
+				  plugin/memory/hp_extra.cc \
+				  plugin/memory/hp_hash.cc \
+				  plugin/memory/hp_info.cc \
+				  plugin/memory/hp_open.cc \
+				  plugin/memory/hp_panic.cc \
+				  plugin/memory/hp_record.cc \
+				  plugin/memory/hp_rectest.cc \
+				  plugin/memory/hp_rename.cc \
+				  plugin/memory/hp_rfirst.cc \
+				  plugin/memory/hp_rkey.cc \
+				  plugin/memory/hp_rlast.cc \
+				  plugin/memory/hp_rnext.cc \
+				  plugin/memory/hp_rprev.cc \
+				  plugin/memory/hp_rrnd.cc \
+				  plugin/memory/hp_rsame.cc \
+				  plugin/memory/hp_scan.cc \
+				  plugin/memory/hp_static.cc \
+				  plugin/memory/hp_update.cc \
+				  plugin/memory/hp_write.cc
 

=== modified file 'plugin/myisam/plugin.am'
--- plugin/myisam/plugin.am	2011-08-22 13:49:40 +0000
+++ plugin/myisam/plugin.am	2011-12-23 20:13:32 +0000
@@ -14,51 +14,49 @@
 #  along with this program; if not, write to the Free Software
 #  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 
-if BUILD_MYISAM_PLUGIN
-noinst_LTLIBRARIES+=	plugin/myisam/libmyisam.la
-endif
-noinst_HEADERS+=	\
-			plugin/myisam/ha_myisam.h \
-			plugin/myisam/my_handler.h \
-			plugin/myisam/myisam.h \
-			plugin/myisam/myisam_priv.h \
-			plugin/myisam/myisampack.h
+noinst_LTLIBRARIES+= plugin/myisam/libmyisam.la
+noinst_HEADERS+= \
+		 plugin/myisam/ha_myisam.h \
+		 plugin/myisam/my_handler.h \
+		 plugin/myisam/myisam.h \
+		 plugin/myisam/myisam_priv.h \
+		 plugin/myisam/myisampack.h
 
 plugin_myisam_libmyisam_la_SOURCES= \
-			plugin/myisam/mi_cache.cc \
-			plugin/myisam/mi_check.cc \
-			plugin/myisam/mi_checksum.cc \
-			plugin/myisam/mi_close.cc \
-			plugin/myisam/mi_create.cc\
-			plugin/myisam/mi_delete.cc \
-			plugin/myisam/mi_delete_all.cc \
-			plugin/myisam/mi_delete_table.cc \
-			plugin/myisam/mi_dynrec.cc \
-			plugin/myisam/mi_extra.cc \
-			plugin/myisam/mi_info.cc \
-			plugin/myisam/mi_key.cc \
-			plugin/myisam/mi_locking.cc \
-			plugin/myisam/mi_open.cc \
-			plugin/myisam/mi_page.cc \
-			plugin/myisam/mi_panic.cc \
-			plugin/myisam/mi_range.cc \
-			plugin/myisam/mi_rename.cc \
-			plugin/myisam/mi_rfirst.cc \
-			plugin/myisam/mi_rkey.cc \
-			plugin/myisam/mi_rlast.cc \
-			plugin/myisam/mi_rnext.cc \
-			plugin/myisam/mi_rnext_same.cc \
-			plugin/myisam/mi_rprev.cc \
-			plugin/myisam/mi_rrnd.cc \
-			plugin/myisam/mi_rsame.cc \
-			plugin/myisam/mi_scan.cc \
-			plugin/myisam/mi_search.cc \
-			plugin/myisam/mi_static.cc \
-			plugin/myisam/mi_statrec.cc \
-			plugin/myisam/mi_unique.cc \
-			plugin/myisam/mi_update.cc \
-			plugin/myisam/mi_write.cc \
-			plugin/myisam/my_handler.cc \
-			plugin/myisam/my_handler_errors.cc \
-			plugin/myisam/my_pread.cc \
-			plugin/myisam/sort.cc
+				    plugin/myisam/mi_cache.cc \
+				    plugin/myisam/mi_check.cc \
+				    plugin/myisam/mi_checksum.cc \
+				    plugin/myisam/mi_close.cc \
+				    plugin/myisam/mi_create.cc\
+				    plugin/myisam/mi_delete.cc \
+				    plugin/myisam/mi_delete_all.cc \
+				    plugin/myisam/mi_delete_table.cc \
+				    plugin/myisam/mi_dynrec.cc \
+				    plugin/myisam/mi_extra.cc \
+				    plugin/myisam/mi_info.cc \
+				    plugin/myisam/mi_key.cc \
+				    plugin/myisam/mi_locking.cc \
+				    plugin/myisam/mi_open.cc \
+				    plugin/myisam/mi_page.cc \
+				    plugin/myisam/mi_panic.cc \
+				    plugin/myisam/mi_range.cc \
+				    plugin/myisam/mi_rename.cc \
+				    plugin/myisam/mi_rfirst.cc \
+				    plugin/myisam/mi_rkey.cc \
+				    plugin/myisam/mi_rlast.cc \
+				    plugin/myisam/mi_rnext.cc \
+				    plugin/myisam/mi_rnext_same.cc \
+				    plugin/myisam/mi_rprev.cc \
+				    plugin/myisam/mi_rrnd.cc \
+				    plugin/myisam/mi_rsame.cc \
+				    plugin/myisam/mi_scan.cc \
+				    plugin/myisam/mi_search.cc \
+				    plugin/myisam/mi_static.cc \
+				    plugin/myisam/mi_statrec.cc \
+				    plugin/myisam/mi_unique.cc \
+				    plugin/myisam/mi_update.cc \
+				    plugin/myisam/mi_write.cc \
+				    plugin/myisam/my_handler.cc \
+				    plugin/myisam/my_handler_errors.cc \
+				    plugin/myisam/my_pread.cc \
+				    plugin/myisam/sort.cc

=== added file 'support-files/drizzle.spec.in'
--- support-files/drizzle.spec.in	1970-01-01 00:00:00 +0000
+++ support-files/drizzle.spec.in	2011-12-23 20:13:32 +0000
@@ -0,0 +1,148 @@
+Summary: Drizzle Database Server, client tools, and client libraries
+Name: @PACKAGE@
+Version: @PANDORA_RELEASE_VERSION@
+Release: 1
+License: GPL/BSD
+Group: System Environment/Libraries
+BuildRequires: gcc-c++
+URL: http://launchpad.net/drizzle
+Requires: boost-program-options >=  1.39
+
+Packager: Brian Aker <brian@tangent.org>
+
+Source: http://launchpad.net/drizzle/trunk/%{version}/+download/drizzle7-%{version}.tar.gz
+Source1: drizzled.init
+BuildRoot: %{_tmppath}/%{name}7-%{version}-%{release}-buildroot
+
+%description
+Drizzle Relational Database Server
+
+This package provides the client utilities.
+
+%package server
+Summary: Drizzle Server
+Group: Applications/Databases
+Requires: boost-program-options >=  1.39
+
+%description server
+Drizzle SQL Relational Database Server
+
+This package provides the Drizzle Server.
+
+%package devel
+Summary: Header files and development libraries for %{name}
+Group: Development/Libraries
+Requires: %{name} = %{version}-%{release}
+
+%description devel
+This package contains the header files and development libraries
+for %{name}. If you like to develop programs using %{name}, 
+you will need to install %{name}-devel.
+
+%prep
+%setup -q
+
+%configure
+
+
+%build
+%{__make} %{_smp_mflags}
+
+%install
+%{__rm} -rf %{buildroot}
+%{__make} install  DESTDIR="%{buildroot}" AM_INSTALL_PROGRAM_FLAGS=""
+mkdir -p $RPM_BUILD_ROOT/
+mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d
+mkdir -p $RPM_BUILD_ROOT/var/log/drizzled
+mkdir -p $RPM_BUILD_ROOT/var/run/drizzled
+install -m 755 %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/drizzled
+
+%clean
+%{__rm} -rf %{buildroot}
+
+%pre server
+if ! /usr/bin/id -g drizzle &>/dev/null; then
+    /usr/sbin/groupadd -r drizzle
+fi
+if ! /usr/bin/id drizzle &>/dev/null; then
+    /usr/sbin/useradd -M -r -g drizzle -d /var/lib/drizzle -s /bin/false \
+	-c "Drizzle Database Server" drizzle > /dev/null 2>&1
+fi
+
+%post server
+if test $1 = 1
+then
+  /sbin/chkconfig --add drizzled
+fi
+
+%preun server
+if test $1 = 0
+then
+  /sbin/chkconfig --del drizzled
+fi
+
+%postun server
+if test $1 -ge 1
+then
+  /sbin/service drizzled condrestart >/dev/null 2>&1 || :
+fi
+
+%files
+%defattr(-,root,root,-)
+%doc AUTHORS COPYING NEWS README
+%{_bindir}/drizzle
+%{_libdir}/libdrizzle.la
+%{_mandir}/man1/drizzle.1.gz
+%{_mandir}/man1/drizzledump.1.gz
+%{_mandir}/man1/drizzleimport.1.gz
+%{_mandir}/man1/drizzleslap.1.gz
+
+%files server
+%defattr(-,root,root,-)
+%doc AUTHORS COPYING NEWS README
+%{_mandir}/man8/drizzled.8.gz
+%{_mandir}/man8/drizzled7.8.gz
+%{_sbindir}/drizzled
+/etc/rc.d/init.d/drizzled
+%attr(0755,drizzle,drizzle) %dir /var/log/drizzled
+%attr(0755,drizzle,drizzle) %dir /var/run/drizzled
+
+%files devel
+%defattr(-,root,root,-)
+%doc AUTHORS COPYING NEWS README
+%{_libdir}/libdrizzle.a
+%{_includedir}/libdrizzle/drizzle.h
+%{_includedir}/libdrizzle/drizzle_client.h
+%{_includedir}/libdrizzle-1.0/column_client.h
+%{_includedir}/libdrizzle-1.0/column.h
+%{_includedir}/libdrizzle-1.0/column_server.h
+%{_includedir}/libdrizzle-1.0/command_client.h
+%{_includedir}/libdrizzle-1.0/command_server.h
+%{_includedir}/libdrizzle-1.0/conn_client.h
+%{_includedir}/libdrizzle-1.0/conn.h
+%{_includedir}/libdrizzle-1.0/conn_server.h
+%{_includedir}/libdrizzle-1.0/constants.h
+%{_includedir}/libdrizzle-1.0/drizzle_client.h
+%{_includedir}/libdrizzle-1.0/drizzle.h
+%{_includedir}/libdrizzle-1.0/drizzle_server.h
+%{_includedir}/libdrizzle-1.0/field_client.h
+%{_includedir}/libdrizzle-1.0/field_server.h
+%{_includedir}/libdrizzle-1.0/handshake_client.h
+%{_includedir}/libdrizzle-1.0/handshake_server.h
+%{_includedir}/libdrizzle-1.0/libdrizzle.h
+%{_includedir}/libdrizzle-1.0/query.h
+%{_includedir}/libdrizzle-1.0/result_client.h
+%{_includedir}/libdrizzle-1.0/result.h
+%{_includedir}/libdrizzle-1.0/result_server.h
+%{_includedir}/libdrizzle-1.0/row_client.h
+%{_includedir}/libdrizzle-1.0/row_server.h
+%{_includedir}/libdrizzle-1.0/structs.h
+%{_includedir}/libdrizzle-1.0/visibility.h
+%{_libdir}/pkgconfig/drizzle.pc
+%{_libdir}/libdrizzle.so
+%{_mandir}/man3/drizzle_create.3.gz
+
+
+%changelog
+* Wed Dec 21 2012 Brian Aker <brian@tangent.org> - 0.1-1
+- Initial package

=== added file 'support-files/drizzled.init'
=== modified file 'support-files/include.am'
--- support-files/include.am	2011-12-01 00:24:25 +0000
+++ support-files/include.am	2011-12-23 20:13:32 +0000
@@ -19,6 +19,8 @@
 # MA 02110-1301, USA
 
 EXTRA_DIST+= \
+	     support-files/drizzle.spec \
+	     support-files/drizzled.init \
 	     support-files/smf/drizzle \
 	     support-files/smf/drizzle.xml \
 	     support-files/smf/install.sh 
@@ -26,5 +28,5 @@
 pkgconfigdir= $(libdir)/pkgconfig
 pkgconfig_DATA= \
 		support-files/drizzle7.pc \
+		support-files/libdrizzle.pc \
 		support-files/libdrizzle-1.0.pc
-#		support-files/libdrizzle-2.0.pc

=== removed file 'support-files/libdrizzle-2.0.pc.in'
--- support-files/libdrizzle-2.0.pc.in	2011-11-07 15:04:16 +0000
+++ support-files/libdrizzle-2.0.pc.in	1970-01-01 00:00:00 +0000
@@ -1,11 +0,0 @@
-prefix=@prefix@
-exec_prefix=@exec_prefix@
-libdir=@libdir@
-includedir=@includedir@
-
-Name: libdrizzle-2.0
-Description: Drizzle Protocol Library
-Version: @PANDORA_RELEASE_VERSION@
-Libs: -L${libdir} -ldrizzle-2.0
-URL: http://drizzle.org/
-Cflags: -I$@includedir@/libdrizzle-2.0

